# Uses of Interface
org.eclipse.emf.cdo.lm.Baseline

Packages that use Baseline
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Baseline in org.eclipse.emf.cdo.lm

Subinterfaces of Baseline in org.eclipse.emf.cdo.lm
Modifier and Type
Interface
Description
`interface`
`Change`
A representation of the model object 'Change'.
`interface`
`Delivery`
A representation of the model object 'Delivery'.
`interface`
`Drop`
A representation of the model object 'Drop'.
`interface`
`FixedBaseline`
A representation of the model object 'Fixed Baseline'.
`interface`
`FloatingBaseline`
A representation of the model object 'Floating Baseline'.
`interface`
`Stream`
A representation of the model object 'Stream'.
Methods in org.eclipse.emf.cdo.lm that return Baseline
Modifier and Type
Method
Description
`Baseline`
Stream.`getBaseline(String baselineName)`
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type Baseline
Modifier and Type
Method
Description
`Stream<Baseline>`
Module.`getAllBaselines()`
`Stream<Baseline>`
System.`getAllBaselines()`
`EList<Baseline>`
Stream.`getContents()`
Returns the value of the 'Contents' containment reference list.
Methods in org.eclipse.emf.cdo.lm with parameters of type Baseline
Modifier and Type
Method
Description
`int`
Stream.`insertContent(Baseline baseline)`
Method parameters in org.eclipse.emf.cdo.lm with type arguments of type Baseline
Modifier and Type
Method
Description
`void`
Module.`forEachBaseline(Consumer<Baseline> consumer)`
`void`
Stream.`forEachBaseline(Consumer<Baseline> consumer)`
`void`
System.`forEachBaseline(Consumer<Baseline> consumer)`

## Uses of Baseline in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return Baseline
Modifier and Type
Method
Description
`Baseline`
IAssemblyDescriptor.`getBaseline()`
`Baseline`
IAssemblyDescriptor.`getBaseline(AssemblyModule module)`
`Baseline`
ISystemManager.BaselineCreatedEvent.`getNewBaseline()`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type Baseline
Modifier and Type
Method
Description
`IAssemblyDescriptor`
IAssemblyManager.`createDescriptor(String label, Baseline baseline, IProgressMonitor monitor)`
`ModuleDefinition`
ISystemDescriptor.`extractModuleDefinition(Baseline baseline)`
`IAssemblyDescriptor[]`
IAssemblyManager.`getDescriptors(Baseline baseline)`
`Assembly`
ISystemDescriptor.`resolve(ModuleDefinition rootDefinition, Baseline baseline, IProgressMonitor monitor)`

## Uses of Baseline in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Baseline
Modifier and Type
Class
Description
`class`
`BaselineImpl`
An implementation of the model object 'Baseline'.
`class`
`ChangeImpl`
An implementation of the model object 'Change'.
`class`
`DeliveryImpl`
An implementation of the model object 'Delivery'.
`class`
`DropImpl`
An implementation of the model object 'Drop'.
`class`
`FixedBaselineImpl`
An implementation of the model object 'Fixed Baseline'.
`class`
`FloatingBaselineImpl`
An implementation of the model object 'Floating Baseline'.
`class`
`StreamImpl`
An implementation of the model object 'Stream'.
Methods in org.eclipse.emf.cdo.lm.impl that return Baseline
Modifier and Type
Method
Description
`Baseline`
StreamImpl.`getBaseline(String baselineName)`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type Baseline
Modifier and Type
Method
Description
`Stream<Baseline>`
ModuleImpl.`getAllBaselines()`
`Stream<Baseline>`
SystemImpl.`getAllBaselines()`
`EList<Baseline>`
StreamImpl.`getContents()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type Baseline
Modifier and Type
Method
Description
`int`
StreamImpl.`insertContent(Baseline baseline)`
Method parameters in org.eclipse.emf.cdo.lm.impl with type arguments of type Baseline
Modifier and Type
Method
Description
`void`
ModuleImpl.`forEachBaseline(Consumer<Baseline> consumer)`
`void`
StreamImpl.`forEachBaseline(Consumer<Baseline> consumer)`
`void`
SystemImpl.`forEachBaseline(Consumer<Baseline> consumer)`

## Uses of Baseline in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util that return Baseline
Modifier and Type
Method
Description
`Baseline`
LMMerger2.LMMergeInfos.`getSourceBaseline()`
Methods in org.eclipse.emf.cdo.lm.util with parameters of type Baseline
Modifier and Type
Method
Description
`T`
LMSwitch.`caseBaseline(Baseline object)`
Returns the result of interpreting the object as an instance of 'Baseline'.
`void`
LMMerger2.LMMergeInfos.`setSourceBaseline(Baseline sourceBaseline)`